#! /bin/sh

# Installation des paquets requis.
apt-get install build-essential linux-headers-$(uname -r)

# Compilation du pilote.
make -C /lib/modules/$(uname -r)/build SUBDIRS=$(pwd) modules

# Retrait de l'ancienne version.
rmmod wacom

# Mise en place du pilote au bon endroit.
cp ./wacom.ko /lib/modules/`uname -r`/kernel/drivers/input/tablet/wacom.ko

# Reconstruction.
depmod -a

# Réactivation du pilote.
modprobe wacom
